﻿using ELTE.Calculator.Model;
using ELTE.Calculator.View;
using ELTE.Calculator.ViewModel;

namespace ELTE.Calculator;

public partial class AppShell : Shell
{
	public AppShell()
	{
		InitializeComponent();

        // model és nézetmodell létrehozása
        CalculatorModel model = new CalculatorModel();
        CalculatorViewModel viewModel = new CalculatorViewModel(model);
        viewModel.ErrorOccured += new EventHandler<ErrorMessageEventArgs>(ViewModel_ErrorOccured);

        BindingContext = viewModel; // nézetmodell befecskendezése
    }

    private async void ViewModel_ErrorOccured(object? sender, ErrorMessageEventArgs e)
    {
        // hibaüzenet megjelenítése
        await DisplayAlert("Calculator", e.Message, "Correct");
    }
}
